### Virtual Method

# Json Serializable deserialize_property

#### Declaration [src]

    gboolean
    deserialize_property (
      JsonSerializable* serializable,
      const gchar* property_name,
      GValue* value,
      GParamSpec* pspec,
      JsonNode* property_node
    )

#### Description [src]

Asks a `JsonSerializable` implementation to deserialize the property contained inside `property_node` and place its value into `value`.

The `value` can be:

- an empty `GValue` initialized by `G_VALUE_INIT`, which will be automatically initialized with the expected type of the property by using the given property description (since JSON-GLib 1.6)
- a `GValue` initialized with the expected type of the property.

#### Parameters

`property_name` | `const gchar*`
| The name of the property to serialize.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `GValue`
| A pointer to an uninitialized value.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`pspec` | `GParamSpec`
| A property description.
| The data is owned by the caller of the function.
`property_node` | `JsonNode`
| The JSON node containing the serialized property.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the property was successfully deserialized.